## org.apache.mahout.math.jet.random
Class AbstractDiscreteDistribution

    java.lang.Object
      org.apache.mahout.math.function.DoubleFunction
          org.apache.mahout.math.jet.random.AbstractDistribution
              org.apache.mahout.math.jet.random.AbstractDiscreteDistribution

All Implemented Interfaces:
  IntFunction

Direct Known Subclasses:
  NegativeBinomial, Poisson

    public abstract class AbstractDiscreteDistribution

extends AbstractDistribution

Abstract base class for all discrete distributions.

Constructor Summary
`protected` `AbstractDiscreteDistribution()` Makes this class non instantiable, but still let's others inherit from it.

Method Summary
`double` `nextDouble()` Returns a random number from the distribution; returns `(double) nextInt()`.

Methods inherited from class org.apache.mahout.math.jet.random.AbstractDistribution
`apply, apply, getRandomGenerator, nextInt, randomDouble, setRandomGenerator`

Methods inherited from class org.apache.mahout.math.function.DoubleFunction
`isDensifying`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDiscreteDistribution

    protected AbstractDiscreteDistribution()

  Makes this class non instantiable, but still let's others inherit from it.

Method Detail

### nextDouble

    public double nextDouble()

  Returns a random number from the distribution; returns `(double) nextInt()`.

  Specified by:
    `nextDouble` in class `AbstractDistribution`
  Returns:
    A new sample from this distribution.

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.